## =============================================================================
## 
## Data modification and enriching
## 
## =============================================================================


## =============================================================================
## Requirements
## =============================================================================

# library(gtsummary)
library(REDCapR)

## =============================================================================
## Import
## =============================================================================

token_talos<-read.csv("/Users/au301842/talos_redcap_token.csv",colClasses = "character")|>
  names()|>
  (\(x){ ## Shorthand for "anonymous lambda function"
  substr(x,2,33)})()|>
  suppressWarnings()

dta <- redcap_read_oneshot(
  redcap_uri   = "https://redcap.au.dk/api/",
  token        = token_talos
)$data|>
  select(-c("cpr"))

## =============================================================================
## MDI scores
## =============================================================================

